import { OnDestroy, OnInit } from '@angular/core';
import { AbstractVariable, TapVariable } from '@iotize/tap/data';
import { Observable } from 'rxjs';
export declare class TapVariableContextComponent<ValueType = any> implements OnInit, OnDestroy {
    private sub?;
    _variable?: AbstractVariable<ValueType>;
    value?: ValueType;
    get values(): Observable<ValueType> | undefined;
    get config(): TapVariable.Config | undefined;
    set variable(v: AbstractVariable<ValueType>);
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
}
